Bug 131337 - Wrong range for "Surface angle" in tab "Shading" in "3D Effects" dialog
Summary: Wrong range for "Surface angle" in tab "Shading" in "3D Effects" dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-03-14 13:58 UTC by Regina Henschel
Modified: 2020-03-17 15:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-03-14 13:58:16 UTC
Currently the field "Surface angle" in tab "Shading" in "3D Effects" dialog allows angles in range 1°.. 1000°. That range is nonsense. It has to be 0° .. 90°.
The angle describes the orientation of the "paper" on which the shadow is shown compared to the observer. 0° means, that the paper is like a wall on which the observer looks. 90° means, that the paper is like the ground on which the observer stands. Especially not having 0° is problematic.

I see the error in Version: 6.5.0.0.alpha0+ (x64)
Build ID: 147af9e2cf7f937ed83ab00574b6a418a2cb629e
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

and in Version: 5.1.0.1.0+
Build-ID: 928a7a3e92e085a880ecf0d3ad5e40d41b7779bf
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-1, Time: 2016-01-13_00:08:26
Gebietsschema: de-DE (en_US)


It was OK in Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
Comment 1 Julien Nabet 2020-03-14 16:16:37 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Regression from:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=11d0c28601dc89c48e67a7b39ba82dd52e660334
author	Caolán McNamara <caolanm@redhat.com>	2014-12-28 16:30:18 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2014-12-30 15:43:39 +0000
commit	11d0c28601dc89c48e67a7b39ba82dd52e660334 (patch)
tree	75e0e9d83694637de1e3b95a25c66de911d381bc
parent	04299dba24d04b08d54f4f5945d340d7abfa73e4 (diff)
convert RID_SVXFLOAT_3D docking window to .ui
This is an epic dialog with lots of moving parts
Comment 2 Julien Nabet 2020-03-14 16:20:11 UTC
https://gerrit.libreoffice.org/c/core/+/90493
Comment 3 Julien Nabet 2020-03-14 17:51:51 UTC
Backport for 6.4 branch on gerrit here:
https://gerrit.libreoffice.org/c/core/+/90397
Comment 4 Commit Notification 2020-03-14 17:54:04 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0069521a7238d91e13fa7a7ea66ae8226b6a2530

tdf#131337: fix range for "Surface angle" (tab "Shading" in "3D Effects")

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-03-17 15:57:27 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cafef7c8efbe1e63e59fedc27dfcfbbde626b8f9

tdf#131337: fix range for "Surface angle" (tab "Shading" in "3D Effects")

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.